scala.collection.jcl.BufferWrapper
class IteratorWrapper

[source: `scala/collection/jcl/BufferWrapper.scala`]

`` `class` IteratorWrapper(underlying : ListIterator)
  `extends` IteratorWrapper `with` BufferIterator[Int, A]

Method Summary
`def` | add (a : A) : Unit Inserts "a" after the iterator's cursor. If next was last called, "a" is inserted after the element returned. If previous was last called, "a" is inserted before the element returned.
`def` | hasPrevious : Boolean
`def` | nextIndex : Int
`def` | previous : A
`def` | previousIndex : Int
`def` | set (a : A) : Unit Sets the element before this iterator's cursor to "a." Replaces either the last element returned by "next" or, if previous was called, the next element that would be return by "previous."

Methods inherited from SeqIterator
seek, indexOf, map

Methods inherited from IteratorWrapper
hasNext, next, remove

Methods inherited from MutableIterator
filter, has, remove, retain, buffered0

Methods inherited from Iterator
take, drop, append, ++, flatMap, takeWhile, dropWhile, zip, zipWithIndex, foreach, forall, exists, contains, find, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, buffered, counted, duplicate, copyToArray, readInto, readInto, readInto, copyToBuffer, toList, mkString, mkString, addString, toString

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` add(a : A) : Unit

  Inserts "a" after the iterator's cursor. If next was last called, "a" is inserted after the element returned. If previous was last called, "a" is inserted before the element returned.

Overrides
  BufferIterator.add

`` `def` set(a : A) : Unit

  Sets the element before this iterator's cursor to "a." Replaces either the last element returned by "next" or, if previous was called, the next element that would be return by "previous."

Overrides
  BufferIterator.set

`` `def` hasPrevious : Boolean

Returns
  True if and only if the iterator's cursor is not at the beging of the iteration.

`` `def` previous : A

Returns
  The previous element, will move the iterator's cursor backwards.

`` `def` previousIndex : Int

Returns
  s The index of the element before the iterator's cursor.

`` `def` nextIndex : Int

Returns
  s The index at the iterator's cursor.